List URLs by Credential Hash
curl --request POST \
--url https://api.flare.io/astp/urls/by_credential_hash \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential_hash": "<string>",
"size": 123,
"from": "<string>"
}
'import requests
url = "https://api.flare.io/astp/urls/by_credential_hash"
payload = {
"credential_hash": "<string>",
"size": 123,
"from": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credential_hash: '<string>', size: 123, from: '<string>'})
};
fetch('https://api.flare.io/astp/urls/by_credential_hash', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"url": "https://login.example.com/signin",
"domain": "login.example.com",
"credential_hash": "43804850e72d054f3648660557330630"
},
{
"url": "https://mail.example.com/",
"domain": "mail.example.com",
"credential_hash": "43804850e72d054f3648660557330630"
}
],
"next": "WyJtYWlsLmV4YW1wbGUuY29tIl0"
}
Credentials
List URLs by Credential Hash
POST
/
astp
/
urls
/
by_credential_hash
List URLs by Credential Hash
Access to is required for this feature.
Please contact your Customer Success Manager for more details.
credential_hash field of each credential from the
Search Credentials
endpoint.
Each result contains the full url (including scheme and path), its host (domain), and the
credential_hash it belongs to.
{
"items": [
{
"url": "https://login.example.com/signin",
"domain": "login.example.com",
"credential_hash": "43804850e72d054f3648660557330630"
},
{
"url": "https://mail.example.com/",
"domain": "mail.example.com",
"credential_hash": "43804850e72d054f3648660557330630"
}
],
"next": "WyJtYWlsLmV4YW1wbGUuY29tIl0"
}
Paging
This endpoint supports the Flare standard paging pattern . Use thenext value from the response as the from value in the next request to fetch additional URLs.
Body Parameters
string
required
The credential hash to look up URLs for, as returned in the
credential_hash field of a credential.number
default:"100"
Maximum number of URLs to return (maximum 5000).
string
The
next value from the last response.Was this page helpful?
⌘I